/*
 * Triptype.java
 *
 * Created on July 25, 2006, 3:02 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ee5travel.entities;

import java.io.Serializable;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 *
 * @author craigmcc
 */
@Entity
@Table(name = "TRIPTYPE")
@NamedQueries( {@NamedQuery(name = "Triptype.findByTriptypeid", query = "SELECT t FROM Triptype t WHERE t.triptypeid = :triptypeid"), @NamedQuery(name = "Triptype.findByName", query = "SELECT t FROM Triptype t WHERE t.name = :name"), @NamedQuery(name = "Triptype.findByDescription", query = "SELECT t FROM Triptype t WHERE t.description = :description")})
public class Triptype implements Serializable {

    @Id
    @Column(name = "TRIPTYPEID", nullable = false)
    private Integer triptypeid;

    @Column(name = "NAME")
    private String name;

    @Column(name = "DESCRIPTION")
    private String description;

    @OneToMany(cascade = CascadeType.ALL, mappedBy = "triptypeid")
    private java.util.Collection <ee5travel.entities.Trip> tripCollection;
    
    /** Creates a new instance of Triptype */
    public Triptype() {
    }

    public Triptype(Integer triptypeid) {
        this.triptypeid = triptypeid;
    }

    public Integer getTriptypeid() {
        return this.triptypeid;
    }

    public void setTriptypeid(Integer triptypeid) {
        this.triptypeid = triptypeid;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public java.util.Collection <ee5travel.entities.Trip> getTripCollection() {
        return this.tripCollection;
    }

    public void setTripCollection(java.util.Collection <ee5travel.entities.Trip> tripCollection) {
        this.tripCollection = tripCollection;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.triptypeid != null ? this.triptypeid.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Triptype)) {
            return false;
        }
        Triptype other = (Triptype)object;
        if (this.triptypeid != other.triptypeid && (this.triptypeid == null || !this.triptypeid.equals(other.triptypeid))) return false;
        return true;
    }

    public String toString() {
        return "ee5travel.entities.Triptype[triptypeid=" + triptypeid + "]";
    }
    
}
